| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::TableViewSelectionModelSyncer Class Reference
Inheritance diagram for Digikam::TableViewSelectionModelSyncer:

## Public Slots
void | slotSetActive (const bool isActive)

## Public Member Functions
| TableViewSelectionModelSyncer (TableViewShared *const sharedObject, QObject *const parent=nullptr)
QItemSelection | itemSelectionToSource (const QItemSelection &selection) const
QItemSelection | itemSelectionToTarget (const QItemSelection &selection) const
QItemSelection | targetIndexToRowItemSelection (const QModelIndex &targetIndex) const
int | targetModelColumnCount () const
QModelIndex | toSource (const QModelIndex &targetIndex) const
QModelIndex | toTarget (const QModelIndex &sourceIndex) const

## Constructor & Destructor Documentation

## ◆ TableViewSelectionModelSyncer()

Digikam::TableViewSelectionModelSyncer::TableViewSelectionModelSyncer | ( | TableViewShared *const | sharedObject,
|  | QObject *const | parent = `nullptr`
| ) |  |
| explicit